base-4.3.1.0: Basic libraries

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org

Data.String

Description

Things related to the String type.

Synopsis

- class IsString a where
  - fromString :: String -> a

# Documentation

class IsString a where Source

Class for string-like datastructures; used by the overloaded string extension (-foverloaded-strings in GHC).

Methods

fromString :: String -> aSource

Instances

IsString [Char] |